Bug 5919 - Программа неработоспособна после установки
: Программа неработоспособна после установки
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnochm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-22 01:37 by
Modified: 2007-09-20 02:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-22 01:37:50
Недостаёт зависимостей на модули 

python-module-pygnome-gconf
python-module-pygnome-gtkhtml2
python-module-pygtk-libglade

и возможно другие. 

Более того, после установки всех запрошенных модулей gnochm вываливается с
ошибкой. Поправьте, пожалуйста.
------- Comment #1 From 2005-01-22 12:06:17 -------
А с какой ошибкой вываливается? 
------- Comment #2 From 2005-01-22 13:10:56 -------
$ gnochm
/usr/bin/gnochm:587: GtkWarning: gtk_window_set_wmclass: shouldn't set wmclass
after window is realized!

  self.xml = gtk.glade.XML(path_mainwin, None, app)
/usr/bin/gnochm:370: GtkWarning: gtk_window_set_wmclass: shouldn't set wmclass
after window is realized!

  self.xml = gtk.glade.XML(path_prefdialog, None, app)
Traceback (most recent call last):
  File "/usr/bin/gnochm", line 1553, in ?
    inst = MainApp()
  File "/usr/bin/gnochm", line 610, in __init__
    self.set_preferences()
  File "/usr/bin/gnochm", line 799, in set_preferences
    mbox = gnome.ui.gnome_warning_dialog(_('\
AttributeError: 'module' object has no attribute 'gnome_warning_dialog'
------- Comment #3 From 2005-01-22 13:14:33 -------
Я собрал, но пока не выкладываю из-за проблем с зависимостями Documancer (тоже
python). Так что исправленный spec мне пригодится...
------- Comment #4 From 2005-01-22 15:42:00 -------
Это кому? 
------- Comment #5 From 2005-01-23 01:58:22 -------
fixed in gnochm-0.9.3-alt2 ? 
------- Comment #6 From 2005-01-30 19:28:47 -------
После установки gnochm-0.9.3-alt2 имеем:
1. не вытягивается модуль python-module-pygtk-libglade (хотя он нужен для работы
программы)
2. после установки недостающего модуля получаем ошибку:

[crux@master bin]$ gnochm
RuntimeError: can't create const
/usr/bin/gnochm:587: GtkWarning: gtk_window_set_wmclass: shouldn't set wmclass
after window is realized!

  self.xml = gtk.glade.XML(path_mainwin, None, app)
------- Comment #7 From 2005-02-08 13:02:50 -------
fixed in gnochm-0.9.3-alt3 ?  
------- Comment #8 From 2005-02-08 22:36:55 -------
(In reply to comment #7)
> fixed in gnochm-0.9.3-alt3 ?  

Нет

[crux@master crux]$ rpmquery gnochm
gnochm-0.9.3-alt3

[crux@master crux]$ gnochm
RuntimeError: can't create const
/usr/bin/gnochm:582: GtkWarning: gtk_window_set_wmclass: shouldn't set wmclass
after window is realized!

  self.xml = gtk.glade.XML(path_mainwin, None, app)
------- Comment #9 From 2005-02-09 02:32:09 -------
Ну тогда объясните, как этого достичь. 
На моих 3-х тестовых машинах я не могу воспроизвести. 
Слушаю ваши указания. 
Похоже, это связано с 
http://bugzilla.gnome.org/show_bug.cgi?id=145041 
но я не могу понять как воспроизвести. 
------- Comment #10 From 2005-02-09 11:48:36 -------
не хватает в зависимостях пакета python-module-pygnome-bonobo. После его
установки окошко gnochm благополучно открылось, правда ни один chm'овский файл
я
так открыть и не смог, показывает "loading" и всё. Файлы скорее всего корявые,
но по крайне мере xchm их открывает (правда только заглавную страницу :`( ).
------- Comment #11 From 2005-02-09 13:58:25 -------
А за каким лядом ему bonobo, интересно? :)

У меня gnochm работает.
------- Comment #12 From 2005-02-09 14:14:29 -------
fixed in gnochm-0.9.3-alt4 ? 
------- Comment #13 From 2005-02-09 14:24:50 -------
(In reply to comment #11)
> А за каким лядом ему bonobo, интересно? :)

не знаю, но strace показал, что программа ищет питоновский байндинг к bonobo и
если не находит, то выдаёт "RuntimeError: can't create const".
------- Comment #14 From 2005-02-09 14:45:59 -------
(In reply to comment #12)
> fixed in gnochm-0.9.3-alt4 ? 

Вроде всё ок. Закрывайте.

p.s. из incoming'а alt3 можно убрать, а то вдруг робот споткнётся.
------- Comment #15 From 2005-02-09 15:34:05 -------
(In reply to comment #14) 
> (In reply to comment #12) 
> > fixed in gnochm-0.9.3-alt4 ?  
>  
> Вроде всё ок. Закрывайте. 
Ещё проверю - ведь Вячеслав сообщил вроде о другой проблеме... 
  
> p.s. из incoming'а alt3 можно убрать, а то вдруг робот споткнётся. 
Не умею убирать. А если робот споткнётся, повесим на него багу. 
 
------- Comment #16 From 2005-02-09 15:57:35 -------
Почему? Проблема та же самая.
------- Comment #17 From 2005-02-09 16:29:11 -------
(In reply to comment #16) 
> Почему? Проблема та же самая. 
 
Пожалуйста, приведите что говорит 
$ rpm -qa python-module* 
------- Comment #18 From 2005-02-09 20:10:54 -------
Ничего не говорят.
------- Comment #19 From 2005-02-20 17:41:45 -------
 (In reply to comment #18) 
> Ничего не говорят. 
Это странно, поскольку 
$ rpm --requires gnochm 
python-module-pygtk-libglade 
python-module-pygnome-bonobo 
python2.3(ConfigParser) 
python2.3(HTMLParser) 
python2.3(chm) 
python2.3(codecs) 
python2.3(gconf) 
... 
python2.3(gnome) 
python2.3(gobject) 
python2.3(gtk) 
python2.3(gtkhtml2) 
... 
python2.3(webbrowser) 
 
------- Comment #20 From 2005-03-13 16:49:00 -------
проверю ещё раз после пересборки с python2.4 
------- Comment #21 From 2005-03-20 22:48:55 -------
проверьте пожалуйста 0.9.4-alt2  
------- Comment #22 From 2005-04-05 00:06:22 -------
$ rpm -q gnochm
gnochm-0.9.4-alt2
$ gnochm
/usr/bin/gnochm:676: GtkWarning: gtk_window_set_wmclass: shouldn't set wmclass
after window is realized!

  self.xml = gtk.glade.XML(path_mainwin, None, app)
/usr/bin/gnochm:977: GtkDeprecationWarning: gtk.FALSE is deprecated, use False
instead
  if force_state != None:
/usr/bin/gnochm:978: GtkDeprecationWarning: gtk.FALSE is deprecated, use False
instead
  menu_item.set_sensitive(force_state)
Traceback (most recent call last):
  File "/usr/bin/gnochm", line 1716, in ?
    inst = MainApp()
  File "/usr/bin/gnochm", line 701, in __init__
    self.set_preferences()
  File "/usr/bin/gnochm", line 890, in set_preferences
    mbox = gnome.ui.gnome_warning_dialog(_('\
AttributeError: 'module' object has no attribute 'gnome_warning_dialog'
------- Comment #23 From 2005-09-02 17:13:17 -------
$ rpm -q gnochm  
gnochm-0.9.5-alt0.1  
Не могу воспроизвести проблему.